org.eclipse.oomph.base.util

## Class BaseResourceFactoryImpl

- java.lang.Object
- - org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
  - - org.eclipse.oomph.base.util.BaseResourceFactoryImpl

- All Implemented Interfaces:
    Resource.Factory

      public class BaseResourceFactoryImpl
      extends ResourceFactoryImpl

  The Resource Factory associated with the package.
  See Also:
    `BaseResourceImpl`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

      `Resource.Factory.Descriptor, Resource.Factory.Registry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseResourceFactoryImpl()` Creates an instance of the resource factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `createResource(URI uri)` Creates an instance of the resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseResourceFactoryImpl

          public BaseResourceFactoryImpl()

      Creates an instance of the resource factory.
      Generated

  - ### Method Detail

    - #### createResource

          public Resource createResource(URI uri)

      Creates an instance of the resource.
      Specified by:
        `createResource` in interface `Resource.Factory`
      Overrides:
        `createResource` in class `ResourceFactoryImpl`
      Generated
        NOT

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html